libunicap-devel-0.9.12-lp150.41.4.x86_64.rpm


Advertisement

Description

libunicap-devel - Development files for the unicap library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libunicap-devel
Package version 0.9.12
Package release lp150.41.4
Package architecture x86_64
Package type rpm
Installed size 141.07 KB
Download size 27.58 KB
Official Mirror ftp.gwdg.de
This package includes header files and libraries necessary for
developing programs which use the unicap, unicapgtk, and ucil libraries. It
contains the API documentation of the library, too.

Alternatives

Package Version Architecture Repository
libunicap-devel-0.9.12-lp150.1.3.x86_64.rpm 0.9.12 x86_64 openSUSE Oss
libunicap-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc-devel -
libunicap2 = 0.9.12

Provides

Name Value
libunicap-devel = 0.9.12-lp150.41.4
libunicap-devel(x86-64) = 0.9.12-lp150.41.4
pkgconfig(libunicap) = 0.9.12

Download

Type URL
Binary Package libunicap-devel-0.9.12-lp150.41.4.x86_64.rpm
Source Package libunicap-0.9.12-lp150.41.4.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libunicap-devel rpm package:
    # zypper install libunicap-devel

Files

Path
/usr/include/unicap/unicap.h
/usr/include/unicap/unicap_status.h
/usr/include/unicap/unicap_version.h
/usr/lib64/libunicap.so
/usr/lib64/pkgconfig/libunicap.pc
/usr/share/gtk-doc/html/libunicap/ch01.html
/usr/share/gtk-doc/html/libunicap/home.png
/usr/share/gtk-doc/html/libunicap/index.html
/usr/share/gtk-doc/html/libunicap/index.sgml
/usr/share/gtk-doc/html/libunicap/left.png
/usr/share/gtk-doc/html/libunicap/libunicap-unicap.html
/usr/share/gtk-doc/html/libunicap/libunicap.devhelp
/usr/share/gtk-doc/html/libunicap/libunicap.devhelp2
/usr/share/gtk-doc/html/libunicap/right.png
/usr/share/gtk-doc/html/libunicap/style.css
/usr/share/gtk-doc/html/libunicap/up.png

Changelog

2017-09-28 - davejplater@gmail.com
- Fix Factory build by disable gtk-doc html build due to
gtkdoc-mktmpl having been removed.
2015-04-13 - dimstar@opensuse.org
- Call libtoolize during build phase: after running autoreconf,
we get the new macros installed but do not take into account that
there was a minor change between intltool 0.50 and 0.51.
2014-10-01 - crrodriguez@opensuse.org
- Remove x11 libs buildrequires, never directly linked.
2013-05-02 - crrodriguez@opensuse.org
- While we are at this, place the udev rules in the
correct localtion (extends libunicap-udev.patch)
2013-05-02 - crrodriguez@opensuse.org
- Fix build with new automake
2012-11-22 - crrodriguez@opensuse.org
- Fix implicit declarations rpmlint warning/errors.
- Fix build Requires.
2012-03-16 - sbrabec@suse.cz
- Port rules to the new udev (bnc#726471).
2011-10-14 - andrea.turrini@gmail.com
- Fixed typos in libunicap.spec
2011-10-11 - toddrme2178@gmail.com
- Add a patch to not used the reserved keyword "private".  This
prevents C++ programs from building against this library
See: https://bugs.launchpad.net/unicap/+bug/656229
https://bugs.launchpad.net/unicap/+bug/658739
- Removed deprecated %clean macro
- Did some trivial spec file cleanups
2011-08-23 - toddrme2178@gmail.com
- Fixed typos in spec file that was causing a build error
- Added -32bit compatibility package.  This will be needed
by some packages using this library.

See Also

Package Description
libunicap2-0.9.12-lp150.41.4.x86_64.rpm Library to access different kinds of (video) capture devices
libvamp-hostsdk3-2.7.1-lp150.23.8.x86_64.rpm Library for Vamp audio analysis plugin hosts
libvamp-sdk2-2.7.1-lp150.23.8.x86_64.rpm Library for Vamp audio analysis plugins
libvcdinfo0-2.0.1-lp150.56.1.x86_64.rpm Video CD (VCD) authoring software
libvidstab-devel-1.1.0-lp150.10.1.x86_64.rpm Development files for libvidstab1_1
libvidstab1_1-1.1.0-lp150.10.1.x86_64.rpm A library to deshake video
libvigraimpex11-1.11.1-lp150.69.5.x86_64.rpm Computer vision Library
libvorbis-devel-1.3.6-lp150.73.1.x86_64.rpm Include Files and Libraries mandatory for Ogg Vorbis Development
libvorbis0-1.3.6-lp150.73.1.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbisenc2-1.3.6-lp150.73.1.x86_64.rpm The Vorbis General Audio Compression Codec
libvorbisfile3-1.3.6-lp150.73.1.x86_64.rpm The Vorbis General Audio Compression Codec
libvpx-devel-1.7.0-lp150.97.3.x86_64.rpm Development files for libvpx, a VP8/VP9 codec library
libvpx5-1.7.0-lp150.97.3.x86_64.rpm VP8/VP9 codec library
libwavpack1-5.1.0-lp150.49.1.x86_64.rpm Hybrid Lossless Audio Compression Format
libwebcam-devel-0.2.5-lp150.4.5.x86_64.rpm Development files for libwebcam
Advertisement
Advertisement